import pandas as pd

codes = pd.DataFrame({'code': ['HUNDFX', 'HDAILY', 'HBUSNS', 'HWKSUN', 'HWKMON', 'HWKTUE', 'HWKWED', 'HWKTHU', 'HWKFRI',
                               'HWKSAT', 'HTENDA', 'HWASUN', 'HWAMON', 'HWATUE', 'HWAWED', 'HWATHU', 'HWAFRI', 'HWASAT',
                               'HWBSUN', 'HWBMON', 'HWBTUE', 'HWBWED', 'HWBTHU', 'HWBFRI', 'HWBSAT', 'HTWICM', 'HMONTH',
                               'HBMNOV', 'HBIMON', 'HQTOCT', 'HQTNOV', 'HQTDEC', 'HANJAN', 'HANFEB', 'HANMAR', 'HANAPR',
                               'HANMAY', 'HANJUN', 'HANJUL', 'HANAUG', 'HANSEP', 'HANOCT', 'HANNOV', 'HANDEC', 'HSMJUL',
                               'HSMAUG', 'HSMSEP', 'HSMOCT', 'HSMNOV', 'HSMDEC', 'HAYPP', 'HAPPY', 'HSEC', 'HMIN',
                               'HHOUR', 'HMSEC', 'HCASEX', 'HWEEK_PATTERN'],
                      'value': [0, 8, 9, 16, 17, 18, 19, 20, 21, 22, 32, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75,
                                76, 77, 128, 129, 144, 145, 160, 161, 162, 192, 193, 194, 195, 196, 197, 198, 199, 200,
                                201, 202, 203, 204, 205, 206, 207, 208, 209, 224, 225, 226, 227, 228, 229, 232, 233],
                      'description': ['Undefined', 'DAILY', 'BUSINESS', 'WEEKLY (SUNDAY)', 'WEEKLY (MONDAY)',
                                      'WEEKLY (TUESDAY)', 'WEEKLY (WEDNESDAY)', 'WEEKLY (THURSDAY)', 'WEEKLY (FRIDAY)',
                                      'WEEKLY (SATURDAY)', 'TENDAY', 'BIWEEKLY (ASUNDAY)', 'BIWEEKLY (AMONDAY)',
                                      'BIWEEKLY (ATUESDAY)', 'BIWEEKLY (AWEDNESDAY)', 'BIWEEKLY (ATHURSDAY)',
                                      'BIWEEKLY (AFRIDAY)', 'BIWEEKLY (ASATURDAY)', 'BIWEEKLY (BSUNDAY)',
                                      'BIWEEKLY (BMONDAY)', 'BIWEEKLY (BTUESDAY)', 'BIWEEKLY (BWEDNESDAY)',
                                      'BIWEEKLY (BTHURSDAY)', 'BIWEEKLY (BFRIDAY)', 'BIWEEKLY (BSATURDAY)',
                                      'TWICEMONTHLY', 'MONTHLY', 'BIMONTHLY (NOVEMBER)', 'BIMONTHLY (DECEMBER)',
                                      'QUARTERLY (OCTOBER)', 'QUARTERLY (NOVEMBER)', 'QUARTERLY (DECEMBER)',
                                      'ANNUAL (JANUARY)', 'ANNUAL (FEBRUARY)', 'ANNUAL (MARCH)', 'ANNUAL (APRIL)',
                                      'ANNUAL (MAY)', 'ANNUAL (JUNE)', 'ANNUAL (JULY)', 'ANNUAL (AUGUST)',
                                      'ANNUAL (SEPTEMBER)', 'ANNUAL (OCTOBER)', 'ANNUAL (NOVEMBER)',
                                      'ANNUAL (DECEMBER)', 'SEMIANNUAL (JULY)', 'SEMIANNUAL (AUGUST)',
                                      'SEMIANNUAL (SEPTEMBER)', 'SEMIANNUAL (OCTOBER)', 'SEMIANNUAL (NOVEMBER)',
                                      'SEMIANNUAL (DECEMBER)', 'YPP', 'PPY', 'SECONDLY', 'MINUTELY', 'HOURLY',
                                      'MILLISECONDLY', 'CASE', 'Generic Weekly Pattern']})
